from rest_framework import serializers
from reqman.apps.reqtool.models.requirements import Prefix, Boilerplate


class BoilerplateSerializer(serializers.ModelSerializer):
    owner = serializers.ReadOnlyField(source='owner.username')
    class Meta:
        model = Boilerplate
        fields = ('id', 'owner', 'title', 'has_prefix', 'has_main', 'has_suffix')


class PrefixSerializer(serializers.ModelSerializer):
    prefix_boilerplate = serializers.PrimaryKeyRelatedField(read_only=True)
    prefixgroup = serializers.PrimaryKeyRelatedField(read_only=True)
    class Meta:
        model = Prefix
        fields = '__all__'


